import os

from parliament import event as parliament_event


def event(*args, **kwargs):
    kwargs = kwargs.copy()
    if 'event_source' not in kwargs:
        namespace = os.environ.get("SERVING_NAMESPACE", "default")
        service = os.environ.get("SERVING_SERVICE", None)
        if service is not None:
            default_source = f"/{namespace}/{service}"
        else:
            default_source = f"/source"
        kwargs['event_source'] = os.environ.get('Y22FUNCTION_SOURCE', default_source)
    return parliament_event(*args, **kwargs)
